From c5e6a8e5e566380c8c6731e9feb7ac686a1c0735 Mon Sep 17 00:00:00 2001
From: "W.C.A. Wijngaards" <wouter@nlnetlabs.nl>
Date: Fri, 28 Jan 2022 16:38:53 +0100
Subject: [PATCH] - Fix #206: build with --without-ssl fails.

diff --git a/edns.c b/edns.c
index c7fc39d9..478ec681 100644
--- a/edns.c
+++ b/edns.c
@@ -21,6 +21,12 @@
 #include "nsd.h"
 #include "query.h"
 
+#if !defined(HAVE_SSL) || !defined(HAVE_CRYPTO_MEMCMP)
+/* we need fixed time compare, pull it in from tsig.c */
+#define CRYPTO_memcmp memcmp_fixedtime
+int memcmp_fixedtime(const void *s1, const void *s2, size_t n);
+#endif
+
 void
 edns_init_data(edns_data_type *data, uint16_t max_length)
 {
